Package org.drinkless.tdlib

# Class TdApi.UserPrivacySettingRules

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UserPrivacySettingRules

Enclosing class:
  `TdApi`

public static class TdApi.UserPrivacySettingRules extends TdApi.Object
A list of privacy rules. Rules are matched in the specified order. The first matched rule defines the privacy setting for a given user. If no rule matches, the action is not allowed.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.UserPrivacySettingRule[]`
  `rules`
  A list of rules.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserPrivacySettingRules()`
  A list of privacy rules.
  `UserPrivacySettingRules(TdApi.UserPrivacySettingRule[] rules)`
  A list of privacy rules.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### rules

    public TdApi.UserPrivacySettingRule[] rules
    A list of rules.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UserPrivacySettingRules

    public UserPrivacySettingRules()
    A list of privacy rules. Rules are matched in the specified order. The first matched rule defines the privacy setting for a given user. If no rule matches, the action is not allowed.

  - ### UserPrivacySettingRules

    public UserPrivacySettingRules(TdApi.UserPrivacySettingRule[] rules)
    A list of privacy rules. Rules are matched in the specified order. The first matched rule defines the privacy setting for a given user. If no rule matches, the action is not allowed.
    Parameters:
      `rules` - A list of rules.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR